#pragma once

#include "PathElement.h"

#include <vector>

class Line : public PathElement
{
public:
	Line(const Point& start, const std::vector<Point>& points);

	const std::vector<Point>& getPoints() const;

	Line::Type getType() const override;

	const Point& getLocation() const override;

	Bounds getBounds() const override;

private:
	Point mStartPoint;
	std::vector<Point> mPoints;
};