#pragma once

#include "PathElement.h"

#include <vector>
#include <memory>

using PathElementPtr = std::unique_ptr<PathElement>;

class Path : public AbstractGeometricItem
{
public:
	const std::vector<PathElementPtr> getElements() const;

private:
	std::vector<PathElementPtr> mElements;
};